" use Vim mode instead of pure Vi, must be the first instruction
" wrapped in conditional to avoid side effects when already set
if &compatible
  set nocompatible
endif

" configure plugins using vim-plug
" https://github.com/junegunn/vim-plug
call plug#begin('~/.cache/nvim/plugged')
Plug 'https://github.com/blankname/vim-fish' " fish scripting
Plug 'https://github.com/farmergreg/vim-lastplace' " intelligently reopen files at last edit position
Plug 'https://github.com/ntpeters/vim-better-whitespace' " highlights trailing whitespace, :StripWhitespace to remove
Plug 'https://github.com/tpope/vim-sensible' " defaults everyone can agree on
Plug 'https://github.com/tpope/vim-sleuth' " heuristically set buffer options
Plug 'https://github.com/vim-airline/vim-airline' " fancy statusline
call plug#end()

" display settings
set nonumber norelativenumber " show hybrid line numbers at startup
noremap <F2> :set number! relativenumber!<CR> " toggle line numbers

" Disable match highlighting
let g:loaded_matchparen=1

" write settings
set confirm " confirm :q in case of unsaved changes

" clipboard settings
set clipboard=unnamedplus " enable copy/paste/yank to and from Vim/Neovim

" paste settings (in Neovim, use plain insert mode)
if !has('nvim')
  set pastetoggle=<F3>
endif
